"use strict";

/* exported logger */

var logger = require('../logger');

/**
 *
 * @param {string} message
 * @constructor
 * @extends {Error}
 */
function GuiMessageError(message) {
  this.message = message;
  this.stack = (new Error(message)).stack;
}

GuiMessageError.prototype = Object.create(Error.prototype);
GuiMessageError.prototype.constructor = GuiMessageError;

module.exports = GuiMessageError;
